Name:    kdialog
Summary: Nice dialog boxes from shell scripts
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and GFDL
URL:     https://www.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5DBusAddons)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Widgets)

Conflicts: kde-l10n < 17.03

%description
KDialog can be used to show nice dialog boxes from shell scripts.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --with-html --with-man


%files -f %{name}.lang
%license COPYING*
%{_kf5_bindir}/kdialog
%{_kf5_bindir}/kdialog_progress_helper
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
%{_kf5_datadir}/applications/org.kde.kdialog.desktop
%{_kf5_metainfodir}/org.kde.kdialog.metainfo.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
